--- title: "Get Specific Bucket" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/stratus/get-bucket/ description: "This API enables you to retrieve the details of a specific bucket in Stratus along with the details of all the objects in it" last_updated: 2026-08-28T06:26:16Z service: Cloud Scale type: api --- # Get Bucket ### Description This API allows you to get all available details of a bucket present in Stratus. The Bucket is referred by its [unique bucket name](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket). ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project/{project_id}/bucket/{bucket_name} - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **bucket_name** (Alphanumerical): The [name of the bucket](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket) #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.buckets.READ ### Response Details The response will return the metadata and details of the particular bucket including its `bucket_name`, and the details of the user who created and last modified the bucket. **Sample Request** ```bash curl -X GET https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/bucket?bucket_name=mybucketname/ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status": "success", "data": [ { "bucket_name": "fsbucket17", "bucket_url": "https://fsbucket17-development.stratus.com", "objects_count": 21, "size_in_bytes": 145578, "project_details": { "project_name": "Project-Rainfall-4", "id": 2000000000075, "project_type": "Live" }, "created_by": { "zuid": 18599686, "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia B", "last_name": "Fstest", "user_type": "Admin", "user_id": 2000000000055 }, "created_time": "Sep 27, 2023 05:01 PM", "modified_by": { "zuid": 18599686, "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia B", "last_name": "Fstest", "user_type": "Admin", "user_id": 2000000000055 }, "modified_time": "Sep 27, 2023 05:01 PM", "bucket_meta": { "versioning": true, "caching": { "status": "Enabled" }, "encryption": true, "audit_consent": false } } ] } ``` ### SDK Documentation * [Get a Particular Bucket - Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/stratus/list-buckets/#get-a-particular-bucket) * [Get a Particular Bucket - Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/stratus/list-buckets/#get-a-particular-bucket) * [Get a Particular Bucket - Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/stratus/list-buckets/#get-a-particular-bucket) * [Stratus - Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/stratus/overview/) * [Stratus - iOS SDK](https://docs.catalyst.zoho.com/en/sdk/ios/v2/cloud-scale/stratus/overview/) * [Stratus - Android SDK](https://docs.catalyst.zoho.com/en/sdk/android/v2/cloud-scale/stratus/overview/) * [Stratus - Flutter SDK](https://docs.catalyst.zoho.com/en/sdk/flutter/v2/cloud-scale/stratus/overview/)